{% extends 'base2.html' %}
{% load static %}

    {% block meta %}
    <title>Daftar Kegiatan</title>
    {% endblock meta %}

    {% block content %}
    <nav class="navbar navbar-custom navbar-dark">
        <div class="container-fluid">
            <span class="navbar-brand mx-auto mb-0"><h2>Daftar Kegiatan</h2></span>
        </div>
    </nav>
    
    <div class="container text-center mx-auto my-3">
        <h4 class="my-3" >Tambah Kegiatan</h4>
        <form class="text-center" action="{% url 'savekegiatan' %}" method= POST>
            {% csrf_token %}
            <h5>Nama Kegiatan :</h5>
            
            <div class="form-group">
             {{formkegiatan.as_p}}
            <small id="emailHelp" class="form-text text-muted">Max 30 characters</small>
            </div>

            <button type="submit" class="btn btn-primary">Tambah</button>
          </form>
    </div>

    {% if daftarkegiatan %}
    <div class="container my-5">
        <h3 class="my-3 text-center">Kegiatan</h3>

        {% for kegiatan in daftarkegiatan %}
        <div class="box2 card mx-auto mb-3">

            <div class="card-header">
                <h3>{{kegiatan.nama_kegiatan}}</h3>
            </div>

            <div class="card-body">
                <div class="container">
                    <div class="row">
                    {% if daftarnama %}
                        {% for nama in daftarnama %}
                        {% if nama.kegiatan == kegiatan %}
                        <div class="col-lg-4 h6 my-2">{{nama.nama}}</div>
                        {% endif %}
                        {% endfor %}
                    {% endif %}
                    </div>
                    
                  <div class="row">
                    <!-- Button trigger modal -->
                    <div class="col">
                        <button type="button" class="my-3 btn btn-block btn-success" data-toggle="modal" data-target="#exampleModalCenter{{ kegiatan.id}}">
                            Ikuti Kegiatan
                        </button>
                        <div class="modal fade" id="exampleModalCenter{{ kegiatan.id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalCenterTitle">Ikuti kegiatan</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form class="text-center" action="{% url 'savenama' kegiatan.id %}" method="POST">
                                    <div class="modal-body">
                                        {% csrf_token %}
                                        {{ formnama.as_p}}
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                        
                                        <button type="submit" class="btn btn-success">Ikuti</button>
                                        
                                    </div>
                                </form>
                            </div>
                            </div>
                        </div>
                    </div>
                    
                  </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
    {% endif %}
    
    {% endblock content %}